package enum

type ExternalStatus string

const (
	EXTERNAL_RUNNING   ExternalStatus = "running"
	EXTERNAL_COMPLETED ExternalStatus = "completed"
	EXTERNAL_PENDING   ExternalStatus = "pending"
	EXTERNAL_SUCCEEDED ExternalStatus = "succeeded"
	EXTERNAL_FAILED    ExternalStatus = "failed"
)

func (s ExternalStatus) String() string {
	switch s {
	case EXTERNAL_RUNNING:
		return "Running"
	case EXTERNAL_COMPLETED:
		return "Completed"
	case EXTERNAL_PENDING:
		return "Pending"
	case EXTERNAL_SUCCEEDED:
		return "Succeeded"
	case EXTERNAL_FAILED:
		return "Failed"
	default:
		return ""
	}
}
